LAMMPS WWW Site - LAMMPS Documentation - LAMMPS Commands

### bond_style class2 command

Syntax:

    bond_style class2

Examples:

    bond_style class2
    bond_coeff 1 1.0 100.0 80.0 80.0

Description:

The class2 bond style uses the potential

where r0 is the equilibrium bond distance.

See (Sun) for a description of the COMPASS class2 force field.

The following coefficients must be defined for each bond type via the bond_coeff command as in the example above, or in the data file or restart files read by the read_data or read_restart commands:

- R0 (distance)
- K2 (energy/distance^2)
- K3 (energy/distance^3)
- K4 (energy/distance^4)

Restrictions:

This bond style can only be used if LAMMPS was built with the "class2" package. See the Making LAMMPS section for more info on packages.

Related commands:

bond_coeff, delete_bonds

Default: none

(Sun) Sun, J Phys Chem B 102, 7338-7364 (1998).